Deploy Contract
post
/walletservice/v1/wallets/{walletId}/deploy-contract
Deploy a smart contract from a wallet.
Request
Path Parameters
-
walletId(required): integer(int64)
Wallet identifier.Example:
101
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
abi(required): array
abi
-
byteCode(required): string
Compiled contract bytecode.Example:
1619025984 -
constructorArgs: array
constructorArgs
-
gasLimit: string
Example:
3000000 -
rpcUrl: string
(uri)
Example:
http://127.0.0.1:8545 -
value: string
Example:
0
Nested Schema : abi
Type:
Show Source
array-
Array of:
object ContractAbiEntry
Additional Properties Allowed:
trueABI entry.
Nested Schema : constructorArgs
Type:
Show Source
arrayExample:
[
"0xA677B9e1ac1f24773275C3ca9a4d9Bc0f6510d54",
"0xA677B9e1ac1f24773275C3ca9a4d9Bc0f6510d54"
]Nested Schema : ContractAbiEntry
Type:
objectAdditional Properties Allowed:
trueABI entry.
Security
-
bearerAuth: http
Type:
http
Response
Supported Media Types
- application/json
200 Response
Contract deployment submitted successfully.
Root Schema : ContractDeploymentResponse
Type:
Show Source
object-
contractAddress: string
Example:
0x9a626f29784501056687dc267966dae6414cc91f -
from: string
Example:
0xFE3B557E8Fb62b89F4916B721be55cEb828dBd73 -
gasLimit: string
Example:
3000000 -
nonce: string
Example:
12 -
partitionId: string
Example:
1 -
submittedAt: string
Example:
2026-05-27T14:00:00Z -
txHash: string
Example:
0x111122223333444455556666777788889999aaaabbbbccccddddeeeeffff0000 -
value: string
Example:
0 -
walletId: string
Example:
101
500 Response
Internal server error.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.